This page was not yet optimized for use on mobile devices.
Gigamon Linux-Based Cryptographic Module
Certificate details
| Certificate ID | #2128 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 20.05.2014 , 23.10.2014 , 10.02.2016 , 18.01.2022 , 03.03.2022 , 14.10.2022 , 26.01.2023 , 02.10.2023 , 03.11.2023 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode. The module makes no assurance of the minimum strength of random strings and generated keys |
| Exceptions |
|
| Description | The Gigamon Linux-Based Cryptographic Module provides cryptographic functions for Gigamon products and solutions. |
| Tested configurations |
|
| Vendor | Gigamon Inc. http://www.gigamon.com |
| Lab | EWA - Canada, Acumen Security, AEGISOLVE, Inc., Leidos Accredited Testing & Evaluation (AT&E) Lab |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, DES, Triple-DES, TDEA, HMAC, HMAC-SHA-224, HMAC-SHA-384, HMAC-SHA-256, HMAC-SHA-512, CMACAsymmetric Algorithms
RSA 2048, ECDSA, ECC, Diffie-Hellman, DH, DSAHash functions
SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, SHA-2Schemes
MACProtocols
SSL, TLSRandomness
DUAL_EC_DRBG, PRNG, DRBG, RNGElliptic Curves
P-224, P-256, P-384, P-521, P-192, K-283, K-409, K-571, B-283, B-409, B-571, K-233, B-233, K-163, B-163Block cipher modes
ECB, CBC, CTR, OFB, GCM, CCM, XTSSecurity level
Level 1Standards
FIPS 140-2, FIPS 140, FIPS 197, FIPS 186-4, FIPS 198-1, FIPS 186-2, FIPS 180-4, FIPS 1402, FIPS PUB 140-2, SP 800-38, SP 800-133, SP 800-90A, SP 800-67, NIST SP 800-131A, SP 800-38B, SP 800-38C, SP 800-38D, PKCS1, PKCS #1, PKCS#1, RFC5288, RFC5289, RFC 5246Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 2128,
"dgst": "8f96a045c9a91a2d",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"RSA#A2202",
"DRBG#A2202",
"ECDSA#A2202",
"HMAC#A2202",
"SHS#A2202",
"Triple-DES#A2202",
"DSA#A2202",
"#A2202",
"AES#A2202"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 43,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 1
},
"ECDSA": {
"ECDSA": 13
}
},
"FF": {
"DH": {
"DH": 1,
"Diffie-Hellman": 1
},
"DSA": {
"DSA": 13
}
},
"RSA": {
"RSA 2048": 2
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 1
},
"CCM": {
"CCM": 4
},
"CTR": {
"CTR": 2
},
"ECB": {
"ECB": 5
},
"GCM": {
"GCM": 8
},
"OFB": {
"OFB": 1
},
"XTS": {
"XTS": 1
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"TLS": {
"SSL": {
"SSL": 1
},
"TLS": {
"TLS": 5
}
}
},
"crypto_scheme": {
"MAC": {
"MAC": 1
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"B-163": 3,
"B-233": 5,
"B-283": 7,
"B-409": 7,
"B-571": 7,
"K-163": 3,
"K-233": 6,
"K-283": 7,
"K-409": 7,
"K-571": 7,
"P-192": 10,
"P-224": 12,
"P-256": 14,
"P-384": 14,
"P-521": 14
}
},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#1": 1
}
},
"fips_certlike": {
"Certlike": {
"AES GCM 256": 2,
"HMAC SHA- 224": 1,
"HMAC SHA- 256": 1,
"HMAC SHA-1": 1,
"HMAC SHA-384": 1,
"HMAC SHA-512": 1,
"HMAC-SHA-1": 12,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 4,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 4,
"PKCS #1": 2,
"PKCS#1": 4,
"PKCS1": 6,
"RSA 2048": 2,
"SHA- 224": 1,
"SHA- 256": 1,
"SHA- 512": 1,
"SHA-1": 24,
"SHA-2": 11,
"SHA-224": 2,
"SHA-256": 4,
"SHA-384": 4,
"SHA-512": 4,
"SHS 3": 1
}
},
"fips_security_level": {
"Level": {
"Level 1": 2
}
},
"hash_function": {
"SHA": {
"SHA1": {
"SHA-1": 24
},
"SHA2": {
"SHA-2": 11,
"SHA-224": 2,
"SHA-256": 4,
"SHA-384": 4,
"SHA-512": 4
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"DUAL_EC": {
"DUAL_EC_DRBG": 1
},
"PRNG": {
"DRBG": 15,
"PRNG": 1
},
"RNG": {
"RNG": 3
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140": 6,
"FIPS 140-2": 46,
"FIPS 1402": 1,
"FIPS 180-4": 2,
"FIPS 186-2": 6,
"FIPS 186-4": 7,
"FIPS 197": 2,
"FIPS 198-1": 2,
"FIPS PUB 140-2": 1
},
"NIST": {
"NIST SP 800-131A": 2,
"SP 800-133": 1,
"SP 800-38": 1,
"SP 800-38B": 1,
"SP 800-38C": 1,
"SP 800-38D": 1,
"SP 800-67": 2,
"SP 800-90A": 3
},
"PKCS": {
"PKCS #1": 1,
"PKCS#1": 2,
"PKCS1": 3
},
"RFC": {
"RFC 5246": 1,
"RFC5288": 2,
"RFC5289": 2
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 19
}
},
"DES": {
"3DES": {
"TDEA": 1,
"Triple-DES": 9
},
"DES": {
"DES": 3
}
},
"constructions": {
"MAC": {
"CMAC": 6,
"HMAC": 17,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 1,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 1
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"RSA#A2202",
"DRBG#A2202",
"ECDSA#A2202",
"HMAC#A2202",
"SHS#A2202",
"Triple-DES#A2202",
"DSA#A2202",
"AES#A2202"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#A2202"
]
},
"policy_metadata": {
"/Author": "SafeLogic",
"/CreationDate": "D:20231005161227-07\u002700\u0027",
"/Creator": "Microsoft\u00ae Word for Microsoft 365",
"/ModDate": "D:20231005161227-07\u002700\u0027",
"/Producer": "Microsoft\u00ae Word for Microsoft 365",
"/Subject": "Gigamon Linux-Based Cryptographic Module",
"/Title": "Security Policy",
"pdf_file_size_bytes": 646048,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"https://csrc.nist.gov/projects/cryptographic-module-validation-program",
"http://www.gigamon.com/",
"http://www.safelogic.com/"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 27
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "943b2cce413f2202d66b3419846caededd0a58efb0a155a46c38623df831ff8d",
"source_hash": "c6f5b427c9c5d982ca3a8b0ac4d12d217015745e33e21c6d44c36fe8fcdcdf0d",
"txt_hash": "75f2021af45e618a5acf23063c2544d6ebf65703e7a1d3931b442cc9246070ab"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode. The module makes no assurance of the minimum strength of random strings and generated keys",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/FIPS140ConsolidatedCertList0041.pdf",
"date_sunset": null,
"description": "The Gigamon Linux-Based Cryptographic Module provides cryptographic functions for Gigamon products and solutions.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A",
"Mitigation of Other Attacks: N/A"
],
"fw_versions": null,
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "Gigamon Linux-Based Cryptographic Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "1.1",
"tested_conf": [
"CentOS 5.8 running on an HC2 with a Power PC P2041E",
"CentOS 7.6 running on a TA200 with an Intel Xeon D1527",
"CentOS 7.6 running on a TA25 with an Intel Denverton C3538",
"CentOS 7.6 running on a TA400 with an Intel Denverton C3538 (single-user mode)",
"CentOS 7.6 running on an HC1 with an Intel Rangeley C2538"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2014-05-20",
"lab": "EWA - Canada",
"validation_type": "Initial"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2014-10-23",
"lab": "",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2016-02-10",
"lab": "Acumen Security",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2022-01-18",
"lab": "AEGISOLVE, Inc.",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2022-03-03",
"lab": "Leidos Accredited Testing \u0026 Evaluation (AT\u0026E) Lab",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2022-10-14",
"lab": "Leidos Accredited Testing \u0026 Evaluation (AT\u0026E) Lab",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2023-01-26",
"lab": "EWA - Canada",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2023-10-02",
"lab": "Leidos Accredited Testing \u0026 Evaluation (AT\u0026E) Lab",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2023-11-03",
"lab": "Leidos Accredited Testing \u0026 Evaluation (AT\u0026E) Lab",
"validation_type": "Update"
}
],
"vendor": "Gigamon Inc.",
"vendor_url": "http://www.gigamon.com"
}
}